---
title: WeakMap.prototype.delete()
slug: Web/JavaScript/Reference/Global_Objects/WeakMap/delete
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - Reference
  - WeakMap
---
<div>{{JSRef}}</div>

<p>The <strong><code>delete()</code></strong> method removes the specified element from a {{jsxref("WeakMap")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/weakmap-prototype-delete.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>wm</var>.delete(<var>key</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>The key of the element to remove from the <code>WeakMap</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if an element in the <code>WeakMap</code> object has been removed successfully. <code>false</code> if the key is not found in the <code>WeakMap</code> or if the key is not an object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_delete_method">Using the delete() method</h3>

<pre class="brush: js;highlight:[4] notranslate">var wm = new WeakMap();
wm.set(window, 'foo');

wm.delete(window); // Returns true. Successfully removed.

wm.has(window);    // Returns false. The window object is no longer in the WeakMap.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-weakmap.prototype.delete', 'WeakMap.prototype.delete')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakMap.delete")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakMap")}}</li>
</ul>
